createNewCustomerWithCrp
curl --request POST \
--url https://api.artemis.cynopsis.co/api/customer/createWithCrps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Domain-ID: <x-domain-id>' \
--data '
{
"crps": [
{
"active": true,
"forms": {},
"id": 123,
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"role": "<string>",
"appointedDate": "2023-12-25",
"id": 123,
"resignedDate": "2023-12-25"
}
]
}
],
"triggerScreening": true,
"triggerScreeningForCrp": true
}
'import requests
url = "https://api.artemis.cynopsis.co/api/customer/createWithCrps"
payload = {
"crps": [
{
"active": True,
"forms": {},
"id": 123,
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"role": "<string>",
"appointedDate": "2023-12-25",
"id": 123,
"resignedDate": "2023-12-25"
}
]
}
],
"triggerScreening": True,
"triggerScreeningForCrp": True
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
crps: [
{
active: true,
forms: {},
id: 123,
profileId: 123,
profileReferenceId: '<string>',
referenceId: '<string>',
roles: [
{
role: '<string>',
appointedDate: '2023-12-25',
id: 123,
resignedDate: '2023-12-25'
}
]
}
],
triggerScreening: true,
triggerScreeningForCrp: true
})
};
fetch('https://api.artemis.cynopsis.co/api/customer/createWithCrps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crps": [
{
"active": true,
"assignees": [
{
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
],
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"forms": {},
"id": 123,
"lastRiskAssessment": "2023-11-07T05:31:56Z",
"listRoleAsText": [
"<string>"
],
"notes": {},
"other": {},
"parentId": 123,
"particular": {},
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"appointedDate": "2023-12-25",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"id": 123,
"resignedDate": "2023-12-25",
"role": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
}
],
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"vendorEntityGuid": "<string>",
"vendorName": "<string>"
}
],
"customer": {
"active": true,
"assignees": [
{
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
],
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"forms": {},
"id": 123,
"lastRiskAssessment": "2023-11-07T05:31:56Z",
"listRoleAsText": [
"<string>"
],
"notes": {},
"other": {},
"parentId": 123,
"particular": {},
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"appointedDate": "2023-12-25",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"id": 123,
"resignedDate": "2023-12-25",
"role": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
}
],
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"vendorEntityGuid": "<string>",
"vendorName": "<string>"
}
}Workflow
Simple Customer Creation Workflow
POST
/
api
/
customer
/
createWithCrps
createNewCustomerWithCrp
Simple Customer Creation Workflow
In the event any end-user would like to have just one API to create customers and CRP(s), as well as to perform screening for all of them, Cynopsis has provided the following API for end-users to call.Authentication & Headers
All API calls require:- A Bearer Token obtained from the
AuthenticationAPI - The
X-Domain-IDheader included in every request (this value will be provided by Cynopsis)
Authorization: Bearer YOUR_ACCESS_TOKEN
X-Domain-ID: YOUR_DOMAIN_ID
Content-Type: application/json
🧩 Sample Requests — Simple Customer Creation Workflow
Auth & Headers: All requests must include a valid Bearer token (from the Authentication flow) and theX-Domain-IDheader (value provided by Cynopsis). Endpoint:POST /api/customers/workflows/simpleHeadersAuthorization: Bearer YOUR_ACCESS_TOKEN X-Domain-ID: PROVIDED_BY_CYNOPSIS Content-Type: application/json
Sample Request Body 1 — Corporate Primary Customer with one Individual CRP
{
"customer": {
"active": true,
"profileReferenceId": "180162353535",
"other": {
"entityType": "ASSOCIATION",
"corporateWebsite": null,
"fatfjurisdiction": "",
"industry": "AGRICULTURE",
"onBoardingMode": "FACE-TO-FACE",
"ownershipStructureLayer": "1",
"paymentMode": ["CHEQUE (LOCAL)"],
"productServiceComplexity": "SIMPLE",
"sourceOfFunds": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"sourceOfWealth": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"natureOfBusinessRelationship": "",
"bankAccount": [],
"additionalInformation": ""
},
"particular": {
"incorporated": true,
"name": "Corporate Primary Customer",
"alias": [],
"formerName": [],
"countryOfIncorporation": "SINGAPORE",
"countryOfOperation": ["SINGAPORE"],
"address": [],
"incorporateNumber": "",
"phone": [],
"email": [],
"dateOfIncorporation": null,
"dateOfIncorporationExpiry": null,
"imonumber": null
},
"type": "CORPORATE",
"domainId": [{{domain_id}}],
"assigneeId": {{assignee_id}}
},
"crps": [
{
"type": "INDIVIDUAL",
"roles": [
{
"cid": "draft-1",
"role": "DIRECTOR",
"appointedDate": "2022-01-01",
"resignedDate": null
}
],
"active": true,
"particular": {
"salutation": "",
"name": "Individual CRP",
"alias": [],
"formerName": [],
"gender": "MALE",
"nationality": ["MALAYSIA"],
"countryOfResidence": "MALAYSIA",
"identityDocumentType": "",
"identityNumber": "",
"identityIssuedDate": null,
"identityExpiryDate": null,
"countryOfBirth": "",
"dateOfBirth": null,
"address": [],
"phone": [],
"email": []
},
"profileReferenceId": "18001181212",
"other": {
"status": "CURRENT",
"sourceOfFunds": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"sourceOfWealth": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"bankAccountNumber": [],
"undischargedBankrupt": "",
"ownershipPercentage": ""
}
}
],
"triggerScreening": true,
"triggerScreeningForCrp": true
}
Sample Request Body 2 — Individual Primary Customer with one Corporate CRP
{
"customer": {
"active": true,
"profileReferenceId": "65999",
"other": {
"industry": "EDUCATION",
"occupation": "TEACHING PROFESSIONAL",
"onBoardingMode": "NON FACE-TO-FACE",
"paymentMode": ["CREDIT CARD"],
"productServiceComplexity": "SIMPLE",
"sourceOfFunds": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"sourceOfWealth": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"bankAccount": [],
"additionalInformation": "",
"natureOfBusinessRelationship": ""
},
"particular": {
"salutation": "",
"name": "Individual Primary Customer",
"alias": [],
"formerName": [],
"gender": "MALE",
"countryOfResidence": "SINGAPORE",
"nationality": ["SINGAPORE"],
"countryOfBirth": "",
"dateOfBirth": null,
"address": [],
"phone": [],
"email": []
},
"type": "INDIVIDUAL",
"domainId": [{{domain_id}}],
"assigneeId": {{assignee_id}}
},
"crps": [
{
"type": "CORPORATE",
"roles": [
{
"role": "ULTIMATE HOLDING COMPANY",
"appointedDate": "2022-01-01",
"resignedDate": null
}
],
"active": true,
"other": {
"entityType": "BANKS",
"otherEntityType": "",
"corporateWebsite": null,
"status": "CURRENT",
"sourceOfFunds": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"sourceOfWealth": [
{
"id": "",
"category": "",
"amountDeclared": null,
"evidenceCorroborated": ""
}
],
"bankAccountNumber": [],
"undischargedBankrupt": "",
"ownershipStructureLayer": "1",
"variableCapitalCompany": "",
"businessCessationDate": null
},
"particular": {
"name": "Corporate CRP",
"alias": [],
"formerName": [],
"countryOfIncorporation": "",
"countryOfOperation": ["MALAYSIA"],
"dateOfIncorporation": null,
"email": [],
"address": [],
"imonumber": null,
"incorporateNumber": "",
"incorporated": "",
"phone": []
},
"profileReferenceId": "65995"
}
],
"triggerScreening": true,
"triggerScreeningForCrp": true
}
Placeholders: Replace{{domain_id}}and{{assignee_id}}with your actual values. Keep booleans astrue/false(not strings) andnullwhere applicable.
Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
X-Domain-ID
Body
application/json
customerDTO
⌘I
